<h1 mat-dialog-title>Review restaurant <b>{{restaurant.name}}</b></h1>
<div class="content" fxLayout="column" fxLayoutGap="12px" mat-dialog-content>
  <rr-rating [(ngModel)]="rating"></rr-rating>
  <mat-form-field appearance="fill">
    <mat-label>Date of visit</mat-label>
    <input [(ngModel)]="dateOfVisit" [matDatepicker]="picker" matInput>
    <mat-datepicker-toggle [for]="picker" matSuffix></mat-datepicker-toggle>
    <mat-datepicker #picker></mat-datepicker>
  </mat-form-field>
  <mat-form-field appearance="fill" class="comment-control">
    <mat-label>Share details of your own experience at this place</mat-label>
    <textarea [(ngModel)]="comment" [matTextareaAutosize]="true" matInput></textarea>
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-dialog-close mat-stroked-button>Cancel</button>
  <button (click)="post()" [disabled]="!rating" color="primary" mat-raised-button>Post</button>
</div>
